Afterwarp Development  

Go Back   Afterwarp Development > Software/Game Development > Announcements
Announcements The discussion about news and announcements posted on our front page.


 
 
Thread Tools Display Modes
  (#1) Old
lifepower lifepower is offline
Developer
lifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud of
 
lifepower's Avatar
 
Posts: 2,072
Join Date: Oct 2005
Location: Pointer = nil;
Asphyre 4.0 in development for Turbo Delphi - 06-Sep-2006, 05:12

Since new version of Asphyre v4.0 has been developed for quite some time and Turbo Delphi is now available for download, the new version of Asphyre will target Turbo Delphi only.

Asphyre v4.0 is anticipated to appear in a time frame of approximately up to two months, although test versions can appear earlier. It will support Turbo Delphi including Explorer versions.

That is, you will no longer need to buy anything to develop commercial games using Delphi and Asphyre.
  (#2) Old
quazzie quazzie is offline
Curious
quazzie is on a distinguished road
 
Posts: 13
Join Date: Jul 2006
06-Sep-2006, 08:31

But isnt Explorer version locked to the components that ship with it and you cant install thirdparty components ?
  (#3) Old
quazzie quazzie is offline
Curious
quazzie is on a distinguished road
 
Posts: 13
Join Date: Jul 2006
06-Sep-2006, 09:37

And why only target Turbo Delphi ? Is there something new in Turbo that is required ? Becouse, there are also other restrictions on Turbo, like if you have BDS installed you cant install Turbo and thus not Asphyre.
  (#4) Old
simon2000 simon2000 is offline
Dedicated
simon2000 is on a distinguished road
 
Posts: 17
Join Date: Oct 2005
Location: China
06-Sep-2006, 09:44

I think that Turbo Delphi = Borland Delphi 2006 SP2

http://www.dpexperte.de/delphi2006/files/prereqs.zip
http://www.dpexperte.de/delphi2006/f...urbodelphi.exe
  (#5) Old
The Wicked Flea The Wicked Flea is offline
Honoured
The Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud ofThe Wicked Flea has much to be proud of
 
The Wicked Flea's Avatar
 
Posts: 692
Join Date: Oct 2005
Location: world.usa.find('East Coast');
06-Sep-2006, 17:39

Why target only Turbo Delphi?

#1, it's a heck of alot better then any other Delphi version currently on the market. I, for the first time since D4, said "holy crow" which for me is something. Turbo Delphi has surpassed my expectations.

#2, if you support one thing you have more time to support it. 'Nuff said. Faster development.

And you can add in runtime libraries and components, so what's the big deal? This is actually a little better for a gaming framework... :P


"If we knew what we were doing, it wouldn't be called research, would it?"
-- Albert Einstein

IntelliArchiver 1.00 RC1 is here!
Finished Projects: Just DIE Already!, Asphyre 4 Zip Archive Handler
  (#6) Old
lifepower lifepower is offline
Developer
lifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud oflifepower has much to be proud of
 
lifepower's Avatar
 
Posts: 2,072
Join Date: Oct 2005
Location: Pointer = nil;
06-Sep-2006, 20:37

Quote:
Originally Posted by quazzie
But isnt Explorer version locked to the components that ship with it and you cant install thirdparty components ?
Yes, you can't install third party VCL components in Explorer versions. New version of Asphyre will not be VCL (thus, you won't be able to "drop" components on the form), although it will still be easy to use: things like canvas and device will be automatically created for you.

In fact, even AfterView visual components will be redesigned in such way to circumvent Turbo Delphi limitation: you place dummy TShape object which will be replaced by TAVPanel in run-time (colors can be either specified in run-time or be calculated from the color of TShape). This sounds messy, but it's legal and you don't have to pay for anything.

Quote:
Originally Posted by quazzie
And why only target Turbo Delphi ? Is there something new in Turbo that is required ? Becouse, there are also other restrictions on Turbo, like if you have BDS installed you cant install Turbo and thus not Asphyre.
If you have BDS 2006 installed, you could use new version of Asphyre there, because Turbo Delphi is just another version of BDS 2006; thus, both will be able to compile Asphyre v4.0. The reason for targetting this platform is simple - there are nice language extensions since BDS 2006 such as operator overloading which will now be part of Asphyre. Making Asphyre backward compatible with older Delphi versions will be an unnecessary overhead.
  (#7) Old
quazzie quazzie is offline
Curious
quazzie is on a distinguished road
 
Posts: 13
Join Date: Jul 2006
07-Sep-2006, 08:47

Changed my opinion, now its sound ok. :-]
  (#8) Old
CH@$ER CH@$ER is offline
Honoured
CH@$ER is on a distinguished road
 
CH@$ER's Avatar
 
Posts: 372
Join Date: Feb 2006
Location: Voronezh, Russia
Send a message via ICQ to CH@$ER
07-Sep-2006, 10:58

Quote:
If you have BDS 2006 installed, you could use new version of Asphyre there, because Turbo Delphi is just another version of BDS 2006; thus, both will be able to compile Asphyre v4.0
Ohhhhh... thank GOD!!!!
  (#9) Old
Huehnerschaender Huehnerschaender is offline
Honoured
Huehnerschaender has much to be proud ofHuehnerschaender has much to be proud ofHuehnerschaender has much to be proud ofHuehnerschaender has much to be proud ofHuehnerschaender has much to be proud ofHuehnerschaender has much to be proud ofHuehnerschaender has much to be proud ofHuehnerschaender has much to be proud of
 
Posts: 452
Join Date: Oct 2005
07-Sep-2006, 13:12

Thank god I won BDS 2006 at PGD compo

So I can use the new version of Asphyre with it.

btw. I think it's a very good approach to make the components available to everyone, without presuming they bought some licenses for thousands of dollars/euros.

Very good Afterwarp!

Greetings,
Dirk
  (#10) Old
CH@$ER CH@$ER is offline
Honoured
CH@$ER is on a distinguished road
 
CH@$ER's Avatar
 
Posts: 372
Join Date: Feb 2006
Location: Voronezh, Russia
Send a message via ICQ to CH@$ER
08-Sep-2006, 13:34

I've download lite version, and enjoy of life!
 

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Getting started with Asphyre - Read First! lifepower Development 0 14-Nov-2005 20:49
Asphyre eXtreme Installation lifepower Published Resources 0 07-Nov-2005 15:51
Asphyre and Delphi lifepower Development 9 26-Oct-2005 16:43
Mixing Asphyre eXtreme lifepower Development 4 17-Oct-2005 03:57



vBulletin® is copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
vBulletin Skin developed by: vBStyles.com
Copyright (c) 2000 - 2016 Afterwarp Development. All rights reserved.